Imagick::addImage
Imagick::affineTransformImage
The Imagick class
PHP Manual

# Imagick::addNoiseImage

(No version information available, might be only in CVS)

Imagick::addNoiseImage — Adds random noise to the image

### Description

bool Imagick::addNoiseImage ( int `$noise_type` [, int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Adds random noise to the image.

### Parameters

`noise_type`

  The type of the noise. Refer to this list of noise constants.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

Imagick::addImage
Imagick::affineTransformImage
The Imagick class
PHP Manual